﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace czerwiec_2023_problem_2_nadaj_przesylke
{
    public partial class Form1 : Form
    {
        enum PRZESYLKA {POCZTOWKA,LIST,PACZKA};
        private PRZESYLKA przesylka = PRZESYLKA.POCZTOWKA;

        public Form1()
        {
            InitializeComponent();
        }

        private void radioButton1_Click(object sender, EventArgs e)
        {
            //rzutuj obiekt sender na typ RadioButton
            RadioButton radioButton = (RadioButton)sender;
            //wybór aktywnej opcji rodzaju przesyłki
            //rozpoznaj po Tag-u kontrolki RadioButton
            switch (radioButton.Tag)
            {
                case "idPocztowka": przesylka = PRZESYLKA.POCZTOWKA;break;
                case "idList": przesylka = PRZESYLKA.LIST;break;
                case "idPaczka": przesylka = PRZESYLKA.PACZKA; break;
            }
        }
        private void ZmienObraz_i_Tekst()
        {
            switch (przesylka)
            {
                case PRZESYLKA.POCZTOWKA: 
                        label1.Text="Cena: 1 zł";
                        pictureBox1.Image = imageList1.Images[0];
                        break;
                case PRZESYLKA.LIST:
                        label1.Text = "Cena: 1,5 zł";
                        pictureBox1.Image = imageList1.Images[1];
                    break;
                case PRZESYLKA.PACZKA:
                        label1.Text = "Cena: 10 zł";
                        pictureBox1.Image = imageList1.Images[2];
                    break;
                default:
                        label1.Text = "Cena: 1 zł";
                        pictureBox1.Image = imageList1.Images[0];
                    break;
            }
        }
        private void button1_Click(object sender, EventArgs e)
        {
            ZmienObraz_i_Tekst();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ZmienObraz_i_Tekst();
        }

        void SprawdzKod()
        {
            string komunikat = "Dane przesyłki zostały wprowadzone";
            //odczytaj kod
            string kod = textBox2.Text;
            if (kod.Length != 5)
            {
                komunikat = "Nieprawidłowa liczba cyfr w kodzie pocztowym";
            }else
            // sprawdź czy wszystkie znaki to cyfry
            {
                int i = 0;
                do
                {
                  char znak = kod[i];
                  //jeżeli jest błędny to
                  if (znak < '0' || znak > '9')
                    {
                        komunikat = "Kod pocztowy powinien składać się z samych cyfr";
                        //wyskocz bo nie ma sensu dalej sprawdzać poprawności kodu
                        break;
                    }
                  i++;
                } while (i < kod.Length);
            }
            //wyświetl komunikat
            MessageBox.Show(komunikat,
                            "Stan przesyłki",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Information);
        }
        private void button2_Click(object sender, EventArgs e)
        {
            SprawdzKod();
        }
    }
}